org.apache.struts2.views.tiles

## Class PortletTilesResult

- java.lang.Object
- - org.apache.struts2.result.StrutsResultSupport
  - - org.apache.struts2.result.ServletDispatcherResult
    - - org.apache.struts2.views.tiles.PortletTilesResult

- All Implemented Interfaces:
    Result, Serializable, StrutsStatics

      public class PortletTilesResult
      extends ServletDispatcherResult

  Dedicated Tile result to be used in Portlet environment WW-2749
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TILES_ACTION_NAME`

    - ### Fields inherited from class org.apache.struts2.result.StrutsResultSupport

      `DEFAULT_PARAM, DEFAULT_URL_ENCODING, parseLocation`

    - ### Fields inherited from interface org.apache.struts2.StrutsStatics

      `HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_ACTION_TAG_INVOCATION, STRUTS_PORTLET_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortletTilesResult()`
    `PortletTilesResult(String location)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doExecute(String location, ActionInvocation invocation)`
    `protected void` | `executeActionResult(String location, ActionInvocation invocation)`
    `protected void` | `executeRenderResult(String location)`
    `protected org.apache.tiles.TilesContainer` | `getContainer(javax.portlet.PortletContext context)`
    `protected org.apache.tiles.TilesContainer` | `getContainer(javax.portlet.PortletContext context, String key)`
    `protected org.apache.tiles.TilesContainer` | `getCurrentContainer(javax.portlet.PortletRequest request, javax.portlet.PortletContext context)`

    - ### Methods inherited from class org.apache.struts2.result.ServletDispatcherResult

      `getParameters, setUrlHelper`

    - ### Methods inherited from class org.apache.struts2.result.StrutsResultSupport

      `conditionalParse, conditionalParseCollection, execute, getLastFinalLocation, getLocation, setEncode, setLocation, setParse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TILES_ACTION_NAME

          public static final String TILES_ACTION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PortletTilesResult

          public PortletTilesResult()

    - #### PortletTilesResult

          public PortletTilesResult(String location)

  - ### Method Detail

    - #### doExecute

          public void doExecute(String location,
                       ActionInvocation invocation)
                         throws Exception

      Overrides:
        `doExecute` in class `ServletDispatcherResult`
      Throws:
        `Exception`

    - #### executeRenderResult

          protected void executeRenderResult(String location)
                                      throws org.apache.tiles.TilesException

      Throws:
        `org.apache.tiles.TilesException`

    - #### executeActionResult

          protected void executeActionResult(String location,
                                 ActionInvocation invocation)

    - #### getCurrentContainer

          protected org.apache.tiles.TilesContainer getCurrentContainer(javax.portlet.PortletRequest request,
                                                            javax.portlet.PortletContext context)

    - #### getContainer

          protected org.apache.tiles.TilesContainer getContainer(javax.portlet.PortletContext context)

    - #### getContainer

          protected org.apache.tiles.TilesContainer getContainer(javax.portlet.PortletContext context,
                                                     String key)

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.